<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='17' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include ('head.php'); ?>
    </head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="active";
$M_ventas="";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$compras="";
$proveedores="";
$garantias="active";
$egresos="";

include ('menu.php');
?>  
<div class="main">
    <div class="col-md-2">
        <?php include ('include/menu_compras.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10">   
        <div class="widget stacked">
            <div class="widget-header"></div> <!-- /.widget-header -->
            <div class="widget-content">
                <div id="resul"></div> 
                <?php
                $gar_id=$_GET['gar_id'];
                $can=mysqli_query($con,"SELECT * FROM garantias_proveedor where empresa='$empresa' and gar_id='$gar_id'") or die(mysqli_error($con)); 
                $dato=mysqli_fetch_array($can); 
                $pro_id=$dato['pro_id'];
                ?> 
                <div class="col-md-4">
                    <div class="form-group">
                      <label>Proveedor</label>
                    </div> <!-- /.form-group -->
                    <section id="intro" >
                        <select name="art_proveedor" id="art_proveedor" onchange="update_proveedor(8,this.value);" class="form-control name_list" required>
                        <?php
                            $can=mysqli_query($con,"SELECT * FROM proveedor where pro_id='$pro_id'") or die(mysqli_error($con)); 
                            if($pro=mysqli_fetch_array($can))
                            { ?>
                                <option value='<?php echo $pro_id;?>'><?php echo $pro['pro_nombre'];?></option>
                            <?php  }
                            $result_1=mysqli_query($con,"SELECT * FROM proveedor WHERE pro_id<>'$pro_id' and empresa='$empresa' order by pro_nombre asc");
                            while ($row_1=mysqli_fetch_array($result_1)) 
                            {   
                              echo "<option value='".$row_1['pro_id']."'>".$row_1['pro_nombre']."</option>"; 
                            }  
                        ?>
                        </select>
                    </section> 
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Fecha de Envio</label>
                        <input type="date" name="fecha" value="<?php echo $dato['gar_fecha_envio']; ?>" class="form-control" readonly>
                    </div> <!-- /.form-group -->
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Garantia Nº</label>
                        <input type="text" name="gar_numero" value="<?php echo $dato['gar_numero']; ?>" class="form-control" readonly >
                    </div> <!-- /.form-group -->  
                </div> <!-- /.form-group -->  
                <div class="col-md-8"></div>      
                </br> 
                <?php if ($dato['gar_estado']<>'Solucionado' && $dato['gar_estado']<>'Enviado') { ?>
                <div class="col-md-4">
                    </br>
                    <div class="btn-group btn-group-justified" align="right">
                        <a href="#myModal" class="btn btn-warning" data-toggle="modal" >
                        <i class="btn-icon-only icon-plus"></i>Agregar Articulos</a>
                    </div>
                    </br>
                </div>
                <?php } ?>
                </br> </br> </br>
           
                <div class="table-responsive">
                    <div id="resultado"></div>
                    <div id="tabla"></div>
                    <?php include ('include/pie_de_pagina.php'); ?>
                </div> <!-- /.table-responsive -->
            </div> <!-- /.widget-content -->
        </div> <!-- /.widget --> 
    </div> <!-- /span6 -->
</div> <!-- /row -->
<input type="hidden" name="gar_id" id="gar_id" value="<?php echo $gar_id;?>" >

<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
<script type="text/javascript">
function loadTabla(){
    var gar_id=$("#gar_id").val();
    $.get("./php_garantias_proveedor/z_tabla.php?gar_id="+gar_id,function(data){
    $("#tabla").html(data);
    })
}
loadTabla();

function update_proveedor(campo,art_proveedor){
var gar_id=$("#gar_id").val();
var parametros = {"action":"update","campo":campo,"art_proveedor":art_proveedor,"gar_id":gar_id}; 
$.ajax({
    type: "GET",
    url: "./php_garantias_proveedor/z_editar_proveedor.php",
    data: parametros,
     beforeSend: function(objeto){
      $("#resultados").html("");
      },
    success: function(datos){
    $("#resultados").html(datos);
    }
    });
} 



$(document).ready(function(){
  load(1);
});

function load(page)
{
    var q= $("#q").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_garantias.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
    })
}

function agregar (art_id_bod)
{ 
    var art_id=document.getElementById('art_id_'+art_id_bod).value; 
    var gar_id=document.getElementById('gar_id').value; 
    $.ajax({ 
        type: "POST",
        url: "./php_garantias_proveedor/z_form_info.php",
        data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&gar_id="+gar_id,

    beforeSend: function(objeto){
      $("#resultado").html("Mensaje: Cargando..."); 
      },
    success: function(datos){
    $("#resultado").html(datos);
    }
    });
}

</script>
<?php include ('php_buscador/buscador_ajuste.php');?>
  </body>
</html>

<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>